Subject: bug#6133: Bug: create-image on console emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 20:06:12 +0200

[email-masked] writes:

>> Below is a copy of a post* to the help-gnu-emacs mailing list about a
>> strange behaviour I found in GNU Emacs 23.1.1. It was suggested on the
>> mailing list that I submit a bug report, so here it is :-)
>>
>> FWIW, this occurs on the Cygwin build(s)** specifically, but I suspect
>> on other builds as well. I don't know how else I can help, but please
>> feel free to contact me on this address if I can.
>>
>> *  http://lists.gnu.org/archive/html/help-gnu-emacs/2010-05/msg00632.html
>
> As explained in that thread, the problem is image-size, not
> create-image.
>
>     (image-size 
>      (create-image
>       (expand-file-name
>        "etc/images/icons/hicolor/128x128/apps/emacs.png"
>        source-directory)))

I don't think this is a bug, though?  You have to check for
display-graphic-p before doing image-size (and some other image-related
things).

So I'm closing this bug report; if anybody disagrees, feel free to
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no